---
title: Cross-Origin-Resource-Policy
slug: Web/HTTP/Headers/Cross-Origin-Resource-Policy
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Response Header
  - header
---
<div>{{HTTPSidebar}}</div>

<div class="note">
<p><strong>Note:</strong> Due to a <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=1074261">bug in Chrome</a>, setting Cross-Origin-Resource-Policy can break PDF rendering, preventing visitors from being able to read past the first page of some PDFs. Due to a <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1638323">bug in Firefox</a>, setting Cross-Origin-Resource-Policy can prevent some resources (such as PDFs) from being downloaded in some circumstances. Exercise caution using this header in a production environment.</p>
</div>

<p>The HTTP <strong><code>Cross-Origin-Resource-Policy</code></strong> response header conveys a desire that the browser blocks no-cors cross-origin/cross-site requests to the given resource.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Cross-Origin-Resource-Policy: same-site | same-origin | cross-origin
</pre>

<h2 id="Examples">Examples</h2>

<p>The response header below will cause compatible user agents to disallow cross-origin no-cors requests:</p>

<pre>Cross-Origin-Resource-Policy: same-origin
</pre>

<p>For more examples, see <a href="https://resourcepolicy.fyi/">https://resourcepolicy.fyi/</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fetch", '#cross-origin-resource-policy-header')}}</td>
   <td>{{Spec2("Fetch", '#cross-origin-resource-policy-header')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Cross-Origin-Resource-Policy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Cross-Origin_Resource_Policy_(CORP)">Cross-Origin Resource Policy (CORP) explainer</a></li>
 <li><a href="https://resourcepolicy.fyi/">Consider deploying Cross-Origin Resource Policy</a></li>
 <li>{{httpheader("Access-Control-Allow-Origin")}}</li>
</ul>
